Subject: Re: Remove configure's --without-sync-input option.

From: Paul Eggert <[email-masked]>
Date: Sun, 16 Sep 2012 01:17:33 -0700

On 09/16/2012 01:05 AM, Eli Zaretskii wrote:

>> No, it is not used indirectly.  emacs_blocked_malloc is the only
>> function that uses malloc_hysteresis to set __malloc_extra_blocks.
>> And emacs_blocked_malloc is invoked only in the non-SYNC_INPUT code.
> 
> Which means that gmalloc.c, and any memory allocation based on that,
> will work differently with that function removed

No, because the function is never invoked, if we assume SYNC_INPUT.
Since it's never invoked, gmalloc.c's behavior cannot possibly change
if we remove it.

> Perhaps you don't care about platforms that use gmalloc.

No, the argument is independent of whether the platform uses gmalloc.
The point is that we can remove code that's never invoked,
and we can remove all variables that are used only by that code.